<template>
  <v-container id="category">
    <v-row>
      <section class="col-md-11 mx-auto mb-5">
        <ul class="my-5 px-5 py-5">
          <li
            id="all-articles-category-date-author"
            class="mb-3"
          >{{ postCategory.date | formatDate }} - {{ postCategory.author }}</li>
          <li class="section-image">
            <div id="all-articles-category-images" class="mb-4">
              <v-img :src="postCategory.image" height="200"></v-img>
            </div>
          </li>
          <li class="mb-3">
            <h3>{{ postCategory.title }}</h3>
          </li>
          <li class="text-justify">{{ postCategory.content | readMore(200, '...') }}</li>
          <li class="text-center pt-4">
            <router-link :to="{name: 'OneArticle', params: {id: postCategory.id}}">Lire l'article</router-link>
          </li>
        </ul>
      </section>
    </v-row>
  </v-container>
</template>

<script>
export default {
  name: "Category",
  props: {
    postCategory: {
      default: () => [{}]
    }
  },
  components: {}
};
</script>

<style lang="scss">
$green: #60ca60d8;
$green-dark: #449644;
$black: #000000;
$grey: #525252be;

#category {
  ul {
    list-style: none;
    padding: 0;
    transform: scale(1.1);
    box-shadow: 1px 1px 10px $grey;

    #all-articles-category-date-author, a {
      color: $green-dark;
      text-transform: uppercase;
      letter-spacing: 2px;
      font-size: 15px;
    }
  }
}
</style>